<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_RentacarOptionalElements StructType
 * @subpackage Structs
 */
class JP_RentacarOptionalElements extends AbstractStructBase
{
    /**
     * The CarSupplements
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_CarSupplement
     */
    public $CarSupplements;
    /**
     * Constructor method for JP_RentacarOptionalElements
     * @uses JP_RentacarOptionalElements::setCarSupplements()
     * @param \ArrayType\ArrayOfJP_CarSupplement $carSupplements
     */
    public function __construct(\ArrayType\ArrayOfJP_CarSupplement $carSupplements = null)
    {
        $this
            ->setCarSupplements($carSupplements);
    }
    /**
     * Get CarSupplements value
     * @return \ArrayType\ArrayOfJP_CarSupplement|null
     */
    public function getCarSupplements()
    {
        return $this->CarSupplements;
    }
    /**
     * Set CarSupplements value
     * @param \ArrayType\ArrayOfJP_CarSupplement $carSupplements
     * @return \StructType\JP_RentacarOptionalElements
     */
    public function setCarSupplements(\ArrayType\ArrayOfJP_CarSupplement $carSupplements = null)
    {
        $this->CarSupplements = $carSupplements;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_RentacarOptionalElements
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
